JNA API 3.3.0

## com.sun.jna.win32
Interface StdCallLibrary

All Superinterfaces:
  AltCallingConvention, Library, StdCall

All Known Subinterfaces:
  Advapi32, BaseTSD, Crypt32, DsGetDC, GDI32, Guid, Kernel32, LMAccess, LMCons, LMErr, LMJoin, Msi, Netapi32, NtDll, NTSecApi, NTStatus, Ole32, Oleaut32, Secur32, SetupApi, Shell32, ShellAPI, ShlObj, Sspi, Tlhelp32, User32, VerRsrc, Version, W32APIOptions, Wdm, WinCrypt, WinDef, WinGDI, Winioctl, WinNT, WinReg, Winspool, Winsvc, WinUser

    public interface StdCallLibrary

extends Library, StdCall

Interface for w32 stdcall calling convention.

Nested Class Summary
`static interface` | `StdCallLibrary.StdCallCallback` Interface defining a callback using the w32 stdcall calling convention.

Nested classes/interfaces inherited from interface com.sun.jna.Library
`Library.Handler`

Field Summary
`static FunctionMapper` | `FUNCTION_MAPPER` Provides auto-lookup of stdcall-decorated names.
`static int` | `STDCALL_CONVENTION` Constant identifying the w32 stdcall calling convention.

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### STDCALL_CONVENTION

    static final int STDCALL_CONVENTION

  Constant identifying the w32 stdcall calling convention.

  See Also:
    Constant Field Values

### FUNCTION_MAPPER

    static final FunctionMapper FUNCTION_MAPPER

  Provides auto-lookup of stdcall-decorated names.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.